cancel
Showing results for 
Search instead for 
Did you mean: 

Migration from 1.5.1 to 2.1.4 Failing

SOLVED

Migration from 1.5.1 to 2.1.4 Failing

Hello all,

 

Thanks for reading my message, i have a big problem and i don't know how to fix it.
I hope that someone can help me out here.

 

My old store is a Magento 1.5.1 Version with 2500+ products and 1000+ Customers in it.

My new store is a Magento 2.1.4 Version with 0 product and 0 Customers in it.

 

Because the normal Migration tool from the DOCS over here doesn't go that far back, i have bought the Extension Cart Migration Extension for €115,-

 

It is saying that it can Migrate any version from 1.X to 2.X

 

The installation goes fine, as said;

- installed the Connector tool at the Source Store (1.5.1)
- installed the Extension at the Target Store (2.1.4)

- Changed the Token for security reasons
- inserted the License Key

- Going to http://www.somedomain.eu/magento_connector/connector.php
> Result; Connector Installed

 

But when i would like to transfer the data, i go to (as described);

Extension > Extension > Cart Migration

- Fill in the Source Store Address; http://www.somedomain.nl/

- Fill in the new Token

- And Pressing Next

 

The next thing that is appearing on the screen is; Can not reach connector!

 

The strangest thing is that when i insert a wrong Token, it is saying; Wrong Token!
So he does indeed connect to the old store.

 

Is someone familiar with this Extension and willing to help me?

Or can someone help me transfer the data from one database to another,..

 

If it cost me, let me know, no problem!

 

Thanks a lot! 

 

Greetings Wouter

 

Tags (1)
9 REPLIES

Re: Migration from 1.5.1 to 2.1.4 Failing

Hi @Pc2day,

 

Magento Migraton Tool (to migrate to 2.x) needs Magento 1.6.x as min. (http://devdocs.magento.com/guides/v2.1/migration/migration-overview-supported.html)

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Migration from 1.5.1 to 2.1.4 Failing

Hi Damian,

 

Yes i know, thats why i don't use that tool Smiley Happy

Iam using the one from LIT, for 115,- 

Re: Migration from 1.5.1 to 2.1.4 Failing

I've started a migration from 1.4.2.0 and my choice was to upgrade to 1.7.0.2 and then start with the migration.

 

I'm not sure if this is the right module you're using but looking through LIT documentation I've found this: /docs/magento-cart-migration-guide/

It says that is compatible with Magento 1.7.x

 

Did you tried to contact their support team?

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Migration from 1.5.1 to 2.1.4 Failing

Hmm,.. may i ask how you did the upgrade to 1.7.x ?

Because i cannot download a 1.7.x version from the Magento Site.

 

Yes i contacted the support team, but most of the times they are not online,..
So i have to wait a day for a next answer,..

Re: Migration from 1.5.1 to 2.1.4 Failing

I've got a lot of backups since first versions but also you can download (if you feel ok with that) from: https://github.com/OpenMage/magento-mirror

 

Using tags you'll find the right version.

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Migration from 1.5.1 to 2.1.4 Failing

Ah, thanks!

I will take a loot at that.

 

Can you tell me also how to update to that version, i don't think it is a copy/paste installation?

 

PS: I tried upgrading with Magento Connect Manager, but all it says is;

 

Checking dependencies of packages

CONNECT ERROR: Unsupported resource type
Unsupported resource type
Unsupported resource type
Unsupported resource type

 

So i don't think that is going to work Smiley Happy

Re: Migration from 1.5.1 to 2.1.4 Failing

I'm working on that.

I'll upgrade to 1.7.0.2 and then to the latest 1.9.3. Once there I'll execute the upgrade to 2.1.x.

That's the plan. I got several errors but now I'm moving forward.

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Migration from 1.5.1 to 2.1.4 Failing

All sorted out!

L-Ext helped me out, there was a problem in their script.

 

Now everything is working Smiley Happy

 

Thanks for the help!

Re: Migration from 1.5.1 to 2.1.4 Failing

You can avoid getting into troubles with Magento upgrade by using more reliable upgrade tools Smiley Happy It's nice to hear you managed to solve your problem though.